Entwurf Spiegel

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Mirror and the translation is 47% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎română • ‎русский
Arrow-left.svg Draft Drawing.svg Zeichnung Vorherige:
Nächste: Strecken Draft Stretch.svg Arrow-right.svg

Draft Mirror.svg Entwurf Spiegel

Menüeintrag
Entwurf → Spiegel
Arbeitsbereich
Entwurf, Arch
Standardtastenkürzel
Keiner
Eingeführt in Version
-
Siehe auch
Entwurf Scale, Entwurf Clone

Beschreibung

Das Draft Mirror.svg Entwurf Spiegel Werkzeug erstellt eine gespiegelte Kopie eines ausgewählten Objekts mit der Operation Teil Spiegel. Die Kopie ist, genau wie ein Entwurf Klon, mit dem Originalobjekt verknüpft. Das bedeutet, wenn das Originalobjekt seine Form und Eigenschaften ändert, ändert sich auch die gespiegelte Form.

Das Spiegel Werkzeug kann auf 2D Formen angewendet werden, die mit dem [[Draft Workbench/de|Entwurf Arbeitsbereich] erstellt wurden, kann aber auch auf vielen Arten von 3D Objekten, wie sie mit der Part Arbeitsbereich, PartDesign Arbeitsbereich] oder Arch Arbeitsbereichen angewendet werden.

Um Kopien oder Klone zu erzeugen und sie manuell zu platzieren, verwende Entwurf bewegen, Entwurf drehen und Entwurf klonen.

Draft Mirror example.jpg

Gespiegeltes Objekt, das unter Verwendung einer Spiegellinie erstellt wurde.

Anwendung

  1. Wähle ein Objekt aus, das du spiegeln möchtest.
  2. Drücke die 16px Entwurf spiegel Taste. Wenn kein Objekt ausgewählt ist, wirst du aufgefordert, eines auszuwählen.
  3. Klicke auf einen ersten Punkt in der 3D Ansicht, oder gib eine Koordinate ein und drücke die Draft AddPoint.svg Punkt hinzufügen Schaltfläche.
  4. Klicke auf einen zweiten Punkt in der 3D Ansicht, oder gib eine Koordinate ein und drücken Sie die Taste Draft AddPoint.svg Punkt hinzufügen Schaltfläche. Diese Punkte legen eine Linie fest, die zusammen mit der Kameraansicht eine Spiegelebene definiert, die zum Erstellen des gespiegelten Objekts verwendet wird.

Nach der Erstellung der gespiegelten Kopie kann die Bindung mit dem Originalobjekt mit der Taste Tree Part.svg Part Erzeuge einfache Kopie Werkzeug entfernt werden.

Eine gespiegelte Kopie eines Entwurfsobjekts kann in ein Draft Wire, durch Anwendung von Draft Downgrade.svg Draft Downgrade dann Draft Upgrade.svg Draft Upgrade umgewandelt werden.

Options

  • Press X, Y or Z after the first point to constrain the second point on the given axis.
  • To enter coordinates manually, simply enter the numbers, then press Enter between each X, Y and Z component.
  • Press R or click the checkbox to toggle relative mode. If relative mode is on, the coordinates of the second point are relative to the first one; if not, they are absolute, taken from the origin (0,0,0).
  • Press T or click the checkbox to toggle continue mode. If continue mode is on, the Mirror tool will restart after you give the second point, allowing you to put another object without pressing the tool button again.
  • Hold Ctrl while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Hold Shift while drawing to constrain your second point horizontally or vertically in relation to the first one.
  • Press Esc or the Close button to abort the current command.

Properties

  • DataSource: specifies the object to mirror,
  • DataBase: specifies the base point of the mirror plane.
  • DataNormal: specifies the normal direction of the mirror plane.

Scripting

See also: Draft API and FreeCAD Scripting Basics.

The Mirror tool can be used in macros and from the Python console by using the following function:

mirrored_list = mirror(objlist, p1, p2)
  • Creates Part Mirror objects from objlist, which can be a single object or a list of objects.
  • The mirroring plane is defined by the line built with points p1 and p2, and parallel to the current view.
  • mirrored_list is returned with the new objects.
    • mirrored_list is either a single object or a list of objects, depending on the input objlist.

Beispiel:

import FeeCAD, Draft

place = FreeCAD.Placement(FreeCAD.Vector(1000, 0, 0), FreeCAD.Rotation())
Polygon1 = Draft.makePolygon(3, 750)
Polygon2 = Draft.makePolygon(5, 750, placement=place)

p1 = FreeCAD.Vector(2000, -1000, 0)
p2 = FreeCAD.Vector(2000, 1000, 0)

Line1 = Draft.makeLine(p1, p2)
mirrored1 = Draft.mirror(Polygon1, p1, p2)

Line2 = Draft.makeLine(-p1, -p2)
mirrored2 = Draft.mirror([Polygon1, Polygon2], -p1, -p2)
Arrow-left.svg Draft Drawing.svg Zeichnung Vorherige:
Nächste: Strecken Draft Stretch.svg Arrow-right.svg